Debian Bug report logs - #216747
lightning_1.1-2(unstable/sparc): broken build-depends

version graph

Package: lightning; Maintainer for lightning is Debian QA Group <packages@qa.debian.org>;

Reported by: James Troup <james@nocrew.org>

Date: Mon, 20 Oct 2003 18:18:08 UTC

Severity: serious

Tags: fixed, patch

Found in version 1.1-2

Fixed in version lightning/1.1-3

Done: Andreas Metzler <ametzler@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco Kuhlmann <mk@debian.org>:
Bug#216747; Package lightning. Full text and rfc822 format available.

Acknowledgement sent to James Troup <james@nocrew.org>:
New Bug report received and forwarded. Copy sent to Marco Kuhlmann <mk@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: submit@bugs.debian.org
Subject: lightning_1.1-2(unstable/sparc): broken build-depends
Date: Mon, 20 Oct 2003 19:15:01 +0100
Package: lightning
Version: 1.1-2
Severity: serious

If you're using debhelper in your 'clean' target then debhelper needs
to be in the build-depends field, not build-depends-indep.

| Automatic build of lightning_1.1-2 on vore by sbuild/sparc 1.170.4
| Build started at 20031014-1153
| ******************************************************************************

[...]

| ** Using build dependencies supplied by package:
| Build-Depends-Indep: debhelper (>> 4.0.0)

[...]

|  /usr/bin/fakeroot debian/rules clean
| dh_testdir
| make: dh_testdir: Command not found

A complete build log can be found at
http://buildd.debian.org/build.php?arch=sparc&pkg=lightning&ver=1.1-2

-- 
James



Information forwarded to debian-bugs-dist@lists.debian.org, Marco Kuhlmann <mk@debian.org>:
Bug#216747; Package lightning. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Marco Kuhlmann <mk@debian.org>. Full text and rfc822 format available.

Message #10 received at 216747@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 216747@bugs.debian.org
Cc: control@bugs.debian.org
Subject: lightning_1.1-2(unstable/sparc): broken build-depends
Date: Wed, 17 Dec 2003 17:13:43 +0100
[Message part 1 (text/plain, inline)]
tag 216747 patch
thanks

Hi,

just for completeness, consider the attached patch. Maybe something to
NMU?

bye,
  Roland
[lightning.patch.216747 (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Kuhlmann <mk@debian.org>:
Bug#216747; Package lightning. Full text and rfc822 format available.

Acknowledgement sent to dianne.higgins@ge.com:
Extra info received and forwarded to list. Copy sent to Marco Kuhlmann <mk@debian.org>. Full text and rfc822 format available.

Message #19 received at 216747@bugs.debian.org (full text, mbox):

From: dianne.higgins@ge.com
To: 216747@bugs.debian.org
Subject: hello
Date: Fri, 5 Mar 2004 10:55:22 +0000
[Message part 1 (text/plain, inline)]
thats wrong
[found.zip (application/x-zip-compressed, attachment)]

Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to James Troup <james@nocrew.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 216747-close@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@debian.org>
To: 216747-close@bugs.debian.org
Subject: Bug#216747: fixed in lightning 1.1-3
Date: Tue, 23 Mar 2004 18:32:29 -0500
Source: lightning
Source-Version: 1.1-3

We believe that the bug you reported is fixed in the latest version of
lightning, which is due to be installed in the Debian FTP archive:

lightning_1.1-3.diff.gz
  to pool/main/l/lightning/lightning_1.1-3.diff.gz
lightning_1.1-3.dsc
  to pool/main/l/lightning/lightning_1.1-3.dsc
lightning_1.1-3_i386.deb
  to pool/main/l/lightning/lightning_1.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 216747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated lightning package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 23 Mar 2004 23:35:59 +0100
Source: lightning
Binary: lightning
Architecture: source i386
Version: 1.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 lightning  - Library for assembly code compilation at runtime
Closes: 216747 219607
Changes: 
 lightning (1.1-3) unstable; urgency=low
 .
   * Uploading with maintainer set to QA group.
   * Don't ship /usr/share/info/dir.gz. (Closes: #219607) - rerun automake
     (1.7.9-4) and friends with AM_MAINTAINER_MODE.
   * Invoke ./configure correctly. - Specify --build (and --host if
     necessary).
   * Acknowledge NMU.
 .
 lightning (1.1-2.1) unstable; urgency=low
 .
   * NMU
     - trivially patched so that debhelper is listed in Build-Depends
       rather than in Build-Depends-Indep
       (see also Roland Stigge's patch in the BTS for bug #216747)
       Closes: Bug#216747
Files: 
 4a75b97425422dbc81c3f96cb7d8e2ca 586 devel optional lightning_1.1-3.dsc
 fe80dbc3a9b7b3d74c6e6166cb9b7c3f 35242 devel optional lightning_1.1-3.diff.gz
 6b45eb938775736b6158153c62d29835 97440 devel optional lightning_1.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAYMUpHTOcZYuNdmMRAvtXAJ9xGHaqA1bLEM+n2L12IAImEav+MwCeIVYg
FOC8yyh2JF0iuj2tN3FATm8=
=hPNh
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:10:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.